Skip to main content
POST
/
waap
/
v1
/
domains
/
{domain_id}
/
custom-rules
/
bulk_delete
Delete multiple WAAP rules
curl --request POST \
  --url https://api.gcore.com/waap/v1/domains/{domain_id}/custom-rules/bulk_delete \
  --header 'Authorization: <api-key>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "rule_ids": [
    123
  ]
}
'
{
  "type": "http-bad-request",
  "title": "Bad Request",
  "status": 400,
  "detail": "Invalid domain name: ''''"
}

Authorizations

Authorization
string
header
required

API key for authentication. Make sure to include the word apikey, followed by a single space and then your token. Example: apikey 1234$abcdef

Path Parameters

domain_id
integer
required

The domain ID

Body

application/json

A request to delete a list of rules

rule_ids
integer[]
required

The IDs of the rules to delete

Minimum array length: 1

Response

Successful Response